Home / Lua API Manual / types / lua_slider
< lua_stack
lua_text_view >

# lua_slider

`dt_type`

A slider that can be set by the user

Attributes:

- has_tostring
- parent : types.lua_widget

# 🔗lua_slider.__call

see types.lua_widget.As a function

# 🔗lua_slider.extra registration parameters

This widget has no extra registration parameters

# 🔗lua_slider.soft_min

`number`

The soft minimum value for the slider, the slider can’t go beyond this point

Attributes:

- write

# 🔗lua_slider.soft_max

`number`

The soft maximum value for the slider, the slider can’t go beyond this point

Attributes:

- write

# 🔗lua_slider.hard_min

`number`

The hard minimum value for the slider, the user can’t manually enter a value beyond this point Attributes:

- write

# 🔗lua_slider.hard_max

`number`

The hard maximum value for the slider, the user can’t manually enter a value beyond this point

Attributes:

- write

# 🔗lua_slider.step

`number`

The step width of the slider

Attributes:

- write

# 🔗lua_slider.digits

`integer`

The number of decimal digits shown on the slider

Attributes:

- write

# 🔗lua_slider.value

`number`

The current value of the slider

Attributes:

- write

# 🔗lua_slider.label

`string`

The label next to the slider

Attributes:

- write

< lua_stack
lua_text_view >